Package org.apache.lucene.sandbox.search

# Class SortedSetDocValuesMultiRangeQuery.MultiRangeWeight.MultiRangeScorerSupplier

java.lang.Object
org.apache.lucene.search.ScorerSupplier
org.apache.lucene.sandbox.search.SortedSetDocValuesMultiRangeQuery.MultiRangeWeight.MultiRangeScorerSupplier

Enclosing class:
  `SortedSetDocValuesMultiRangeQuery.MultiRangeWeight`

protected class SortedSetDocValuesMultiRangeQuery.MultiRangeWeight.MultiRangeScorerSupplier extends ScorerSupplier
Scorer supplier for SortedSetDocValuesMultiRangeQuery

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final LeafReaderContext`
  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiRangeScorerSupplier(SortedSetDocValues values, LeafReaderContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `cost()`
  `protected ConstantScoreScorer`
  `empty()`
  `Scorer`
  `get(long leadCost)`

  ### Methods inherited from class org.apache.lucene.search.ScorerSupplier

  `bulkScorer, setTopLevelScoringClause`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### context

    protected final LeafReaderContext context

- ## Constructor Details

  - ### MultiRangeScorerSupplier

    public MultiRangeScorerSupplier(SortedSetDocValues values, LeafReaderContext context)

- ## Method Details

  - ### get

    public Scorer get(long leadCost) throws IOException
    Specified by:
      `get` in class `ScorerSupplier`
    Throws:
      `IOException`

  - ### empty

    protected ConstantScoreScorer empty()

  - ### cost

    public long cost()
    Specified by:
      `cost` in class `ScorerSupplier`